Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.internal
Class RenderableContentVersionWrapper

    java.lang.Object
      com.bea.p13n.content.internal.RenderableContentVersionWrapper

All Implemented Interfaces
  RenderableContent

    public class RenderableContentVersionWrapper

extends Object
implements RenderableContent

Constructor Summary
`RenderableContentVersionWrapper(Version ver)`
`RenderableContentVersionWrapper(Version ver, ContentContext contentContext)`

Method Summary
`ID` | `getId()`
`String` | `getName()`
`String` | `getPath()`
`Property` | `getPrimaryProperty()`
`Property[]` | `getProperties()`
`Property` | `getProperty(String name)`
`InputStream` | `getPropertyBytes(ID propertyId)`
`String` | `getVersionName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderableContentVersionWrapper

    public RenderableContentVersionWrapper(Version ver)

### RenderableContentVersionWrapper

    public RenderableContentVersionWrapper(Version ver,
                                           ContentContext contentContext)

Method Detail

### getName

    public String getName()
                   throws AdContentException

  Specified by:
    `getName` in interface `RenderableContent`
  Throws
    `AdContentException`

### getPath

    public String getPath()
                   throws AdContentException

  Specified by:
    `getPath` in interface `RenderableContent`
  Throws
    `AdContentException`

### getProperty

    public Property getProperty(String name)
                         throws AuthorizationException

  Specified by:
    `getProperty` in interface `RenderableContent`
  Throws
    `AuthorizationException`

### getPrimaryProperty

    public Property getPrimaryProperty()
                                throws RepositoryException

  Specified by:
    `getPrimaryProperty` in interface `RenderableContent`
  Throws
    `RepositoryException`

### getProperties

    public Property[] getProperties()
                             throws AuthorizationException

  Specified by:
    `getProperties` in interface `RenderableContent`
  Throws
    `AuthorizationException`

### getPropertyBytes

    public InputStream getPropertyBytes(ID propertyId)
                                 throws AuthorizationException,
                                        NoSuchPropertyException

  Specified by:
    `getPropertyBytes` in interface `RenderableContent`
  Throws
    `AuthorizationException`
    `NoSuchPropertyException`

### getId

    public ID getId()

  Specified by:
    `getId` in interface `RenderableContent`

### getVersionName

    public String getVersionName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.